/*
 * Copyright © 2023 by Data Virtuality GmbH
 */
package org.teiid.resource.adapter.ws;

import org.apache.http.client.methods.HttpRequestBase;

import java.net.URI;

public class HttpMethod extends HttpRequestBase {
    private final String method;

    public HttpMethod(String method, String uri) {
        this.method = method;
        this.setURI(URI.create(uri));
    }

    public String getMethod() {
        return method;
    }
}
